let AuthController = require('../controllers/auth');

module.exports = (app) => {
    let authController = new AuthController(app);

    app.post('/oauth2/login', authController.loginWithOAuth2);
    app.post('/jwt/login', authController.loginWithJWT);

    // OLD LOGIN ROUTES
    app.post('/productLanguages', authController.productLanguages);
    app.post('/login', authController.login);
    app.post('/setLogAccess', authController.setLogAccess);
    app.post('/updatePassword', authController.updatePassword);
    app.post('/testLicenseConnection', authController.testLicenseConnection);
    app.post('/requestNewPassword', authController.requestNewPassword);
    app.post('/findPrivacyPolicyByAuthentication', authController.findPrivacyPolicyByAuthentication);
};